org.gitana.platform.services.association

## Enum Direction

- java.lang.Object
- - java.lang.Enum<Direction>
  - - org.gitana.platform.services.association.Direction

All Implemented Interfaces:
  Serializable, Comparable<Direction>

    public enum Direction
    extends Enum<Direction>

Direction is used for queries that seek to describe the relationship of associations to a given node. An outgoing direction is one that points away from a node. An incoming direction is one that points to a node. Both directions infers that a node is involved in either capacity.

Author:
  uzi

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANY`
`INCOMING`
`MUTUAL`
`OUTGOING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Direction` `reverse()`
`static Direction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OUTGOING

    public static final Direction OUTGOING

#### INCOMING

    public static final Direction INCOMING

#### MUTUAL

    public static final Direction MUTUAL

#### ANY

    public static final Direction ANY

### Method Detail

#### values

    public static Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Direction c : Direction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Direction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### reverse

    public Direction reverse()

Returns:
  The reversed direction.